Package org.kapott.hbci.passport

## Class AbstractRDHSWFileBasedPassport

- java.lang.Object
- - org.kapott.hbci.passport.AbstractHBCIPassport
  - - org.kapott.hbci.passport.AbstractRDHPassport
    - - org.kapott.hbci.passport.AbstractRDHSWPassport
      - - org.kapott.hbci.passport.AbstractRDHSWFileBasedPassport

All Implemented Interfaces:
  `java.io.Serializable`, `FileBasedPassport`, `HBCIPassport`, `HBCIPassportInternal`, `InitLetterPassport`

Direct Known Subclasses:
  `HBCIPassportRDHNew`, `HBCIPassportRDHXFile`, `HBCIPassportSIZRDHFile`

    public abstract class AbstractRDHSWFileBasedPassport
    extends AbstractRDHSWPassport
    implements FileBasedPassport

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.kapott.hbci.passport.AbstractRDHSWPassport

`keys`

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

### Constructor Summary

Constructors
`protected` `AbstractRDHSWFileBasedPassport​(java.lang.Object init)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Schließen eines Passport-Objektes.
`java.lang.String` `getFilename()` Liefert den Dateinamen der Schluesseldatei.
`void` `setFilename​(java.lang.String filename)`

### Methods inherited from class org.kapott.hbci.passport.AbstractRDHSWPassport

`decrypt, encrypt, generateNewUserKeys, getInstEncKey, getInstEncKeyName, getInstEncKeyNum, getInstEncKeyVersion, getInstSigKey, getInstSigKeyName, getInstSigKeyNum, getInstSigKeyVersion, getKey, getMyEncKeyName, getMyEncKeyNum, getMyEncKeyVersion, getMyPrivateDigKey, getMyPrivateEncKey, getMyPrivateSigKey, getMyPublicDigKey, getMyPublicEncKey, getMyPublicSigKey, getMySigKeyName, getMySigKeyNum, getMySigKeyVersion, hasInstEncKey, hasInstSigKey, hasMyEncKey, hasMySigKey, setInstEncKey, setInstSigKey, setKey, setMyDigKey, setMyEncKey, setMyPrivateDigKey, setMyPrivateEncKey, setMyPrivateSigKey, setMyPublicDigKey, setMyPublicEncKey, setMyPublicSigKey, setMySigKey, sign, verify`

### Methods inherited from class org.kapott.hbci.passport.AbstractRDHPassport

`createMsgKey, getCommInstance, getCryptAlg, getCryptDataSize, getCryptFunction, getCryptKeyType, getCryptMode, getHashAlg, getPassportTypeName, getProfileMethod, getSigAlg, getSigFunction, getSigMode, getSignatureInstance, getSignatureParamSpec, getSysStatus, hash, isSupported, needInstKeys, needUserKeys, needUserSig, onDialogEvent`

### Methods inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`askForMissingData, canMixSecMethods, changePassphrase, checkForCryptDataSize, clearBPD, clearInstEncKey, clearInstSigKey, clearMyDigKey, clearMyEncKey, clearMySigKey, clearUPD, closeComm, fillAccountInfo, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getCID, getClientData, getComm, getCommFilter, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstance, getInstance, getInstance, getInstance, getInstName, getJobRestrictions, getJobRestrictions, getLang, getMaxGVperMsg, getMaxGVSegsPerMsg, getMaxMsgSizeKB, getParamHeader, getParamSegmentNames, getParentHandlerData, getPersistentData, getPort, getSigId, getStoredCustomerId, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getSysId, getUPD, getUPDVersion, getUserId, incSigId, isAnonymous, onlyBPDGVs, setBLZ, setBPD, setCID, setClientData, setCountry, setCustomerId, setFilterType, setHBCIVersion, setHost, setParamHeader, setParentHandlerData, setPersistentData, setPort, setProfileMethod, setProfileVersion, setSigId, setSysId, setUPD, setUserId, syncSigId, syncSysId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassport

`saveChanges`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassportInternal

`getProfileVersion, resetPassphrase`

### Constructor Detail

#### AbstractRDHSWFileBasedPassport

    protected AbstractRDHSWFileBasedPassport​(java.lang.Object init)

### Method Detail

#### getFilename

    public java.lang.String getFilename()

Description copied from interface: `FileBasedPassport`
Liefert den Dateinamen der Schluesseldatei.

Specified by:
  `getFilename` in interface `FileBasedPassport`
Returns:
  der Dateiname der Schluesseldatei.
See Also:
  `FileBasedPassport.getFilename()`

#### setFilename

    public void setFilename​(java.lang.String filename)

Parameters:
  `filename` -

#### close

    public void close()

Description copied from interface: `HBCIPassport`

Schließen eines Passport-Objektes. Diese Methode wird normalerweise nicht manuell aufgerufen, da das bereits von `HBCIHandler.close()` erledigt wird. Wurde jedoch ein Passport-Objekt erzeugt, und das anschließende Erzeugen eines HBCIHandler-Objektes schlägt fehlt, dann ist das Passport immer noch geöffnet und sollte mit dieser Methode geschlossen werden, falls es nicht weiterbenutzt werden soll.

Am Ende eines Programmes sollte also in jedem Fall entweder ein erfolgreiches `HBCIHandler.close()` oder wenigstens ein `HBCIPassport.close()` für jedes erzeugte Passport-Objekt stehen. Das ist vor allem für Passport-Varianten wichtig, die auf einer Chipkarte basieren, da mit dieser Methode die entsprechenden Ressourcen wieder freigegeben werden.

Specified by:
  `close` in interface `HBCIPassport`
Overrides:
  `close` in class `AbstractHBCIPassport`
See Also:
  `AbstractHBCIPassport.close()`